This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459456 - (CVE-2017-9468) CVE-2017-9468 irssi: Null pointer dereference while receiving a DCC message without source nick/host
CVE-2017-9468 irssi: Null pointer dereference while receiving a DCC message w...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170607,reported=2...
: Security
Depends On: 1459458
Blocks: 1459459
  Show dependency treegraph
 
Reported: 2017-06-07 04:20 EDT by Andrej Nemec
Modified: 2017-06-12 09:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: irssi 1.0.3
Doc Type: If docs needed, set a value
Doc Text:
A null pointer dereference was found in the way irssi handles DCC messages that do not contain a source nick/host. A malicious IRC server could be used to crash an irssi client by sending a specially crafted DCC message.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-12 04:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-07 04:20:15 EDT
When receiving a DCC message without source nick/host, Irssi would attempt to dereference a NULL pointer. A malicious remote server could cause irssi to crash.

External References:

https://irssi.org/security/irssi_sa_2017_06.txt
Comment 1 Andrej Nemec 2017-06-07 04:24:53 EDT
Created irssi tracking bugs for this issue:

Affects: fedora-all [bug 1459458]
Comment 2 Cedric Buissart 2017-06-12 04:04:43 EDT
Lowering severity because of the following reason :
* A rogue, or buggy, IRC server is required to be able to make use of this vulnerability. An attacker would need to either gain control of a IRC server, or trick the user into connecting a rogue IRC server
Comment 3 Cedric Buissart 2017-06-12 04:11:08 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.